Bug 175594 - MegaRaid Cerc ATA/100 Raid Drives not recongnized on Dell 600SC
MegaRaid Cerc ATA/100 Raid Drives not recongnized on Dell 600SC
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-12 23:35 EST by Tim E.
Modified: 2015-01-04 17:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:40:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VGA=791 Pic of Bad Boot (628.96 KB, image/jpeg)
2006-02-19 20:15 EST, Tim E.
no flags Details
Patch against legacy megaraid driver for CERC ATA/100 support (990 bytes, patch)
2006-07-23 10:47 EDT, Will Hargrave
no flags Details | Diff

  None (edit)
Description Tim E. 2005-12-12 23:35:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
Default Fedora FC4 installs on a Dell 600SC with a CERC IDE/Raid 4 disk controller if you use 'linux noprobe' at install and add the older megaraid driver. Once you have installed and upgrade the kernel to beyond the defauly (in this case upgrade to the current 2.6.14 level) a reboot fails as the kernel fails to find the raid arrary drives. I have modified the modprobe.conf file to readd the megaraid drive back in after the kernel install and used mkinitrd to redo the boot image file for 2.6.14. From bug# 138590 this situation is described for fc3(?). Does the Fedora core support this card, or is the ID not being seen correctly or is the driver dropping support for this card?

Version-Release number of selected component (if applicable):
kernel-2.6.14

How reproducible:
Always

Steps to Reproduce:
1. Install default FC4 using 'linux probe' at boot and add megaraid drive manually, finish install, and reboot
2. Upgrade kernel to 2.6.14 (current)
3. modify /etc/modprobe.conf and readd megaraid line
4. redo boot image with mkinitrd command then reboot
5. System fails to find any raid drives/volumes
  

Actual Results:  Fails to find previously working raid array

Expected Results:  Normal boot, recongnize drive array

Additional info:
Comment 1 Dave Jones 2005-12-13 00:54:16 EST
can you give me the output of lspci -n  and all of your /etc/modprobe.conf please ?
Comment 2 Tim E. 2005-12-14 10:20:54 EST
lspci (plain)
-----------------------------------------------------------------------
00:00.0 Host bridge: Broadcom GCNB-LE Host Bridge (rev 32)
00:00.1 Host bridge: Broadcom GCNB-LE Host Bridge
00:02.0 Ethernet controller: Intel Corporation 82540EM Gigabit Ethernet
Controller (rev 02)
00:07.0 RAID bus controller: American Megatrends Inc. MegaRAID (rev 02)
00:08.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:0e.0 IDE interface: Broadcom CSB6 IDE Controller (rev a0)
00:0f.0 Host bridge: Broadcom CSB6 South Bridge (rev a0)
00:0f.1 IDE interface: Broadcom CSB6 RAID/IDE Controller (rev a0)
00:0f.2 USB Controller: Broadcom CSB6 OHCI USB Controller (rev 05)
00:0f.3 ISA bridge: Broadcom GCLE-2 Host Bridge
-----------------------------------------------------------------------
lspci -n
-----------------------------------------------------------------------
00:00.0 Class 0600: 1166:0017 (rev 32)
00:00.1 Class 0600: 1166:0017
00:02.0 Class 0200: 8086:100e (rev 02)
00:07.0 Class 0104: 101e:1960 (rev 02)
00:08.0 Class 0300: 1002:4752 (rev 27)
00:0e.0 Class 0101: 1166:0217 (rev a0)
00:0f.0 Class 0600: 1166:0203 (rev a0)
00:0f.1 Class 0101: 1166:0213 (rev a0)
00:0f.2 Class 0c03: 1166:0221 (rev 05)
00:0f.3 Class 0601: 1166:0227
-----------------------------------------------------------------------
/etc/modprobe.conf
-----------------------------------------------------------------------
alias scsi_hostadapter megaraid
alias eth0 e1000
alias scsi_hostadapter1 megaraid_mbox
alias usb-controller ohci-hcd
-----------------------------------------------------------------------
Comment 3 Tim E. 2005-12-17 14:29:10 EST
I checked out and the CERC RAID card has the latest firmware.
I also tried the just released kernel and not change. Please let
me know if you need additional info. Question: I know after some
reading Dell and LSI dont support the CERC in as of 2.6 in the
megaraid_mbox driver but does that mean the legacy megaraid driver
support will be dropped as well?
Comment 4 Dave Jones 2005-12-27 18:39:17 EST
Fedora will continue to ship both the legacy 'megaraid' driver, as well as the
'megaraid_mbox' variant.

I think the problem here is that the first  'alias scsi_hostadapter megaraid' is
unneeded (that driver doesn't support vendor 101e: device:1960, but
megaraid_mbox does.  I've not got megaraid hardware to test with, but I suspect
that your modprobe.conf should look like..

alias scsi_hostadapter megaraid_mbox
alias eth0 e1000
alias usb-controller ohci-hcd

If you remove /etc/sysconfig/hwconf, and rerun kudzu, it should find your
megaraid and generate a correct modprobe.conf.

After fixing your modprobe.conf, you need to regenerate the initrd. (Either
rerun mkinitrd by hand, or just remove/reinstall the latest kernel update).
Comment 5 Tim E. 2006-01-05 18:37:50 EST
I ran the following as root using script. After rebooting the drives where not
recognized. Please check, maybe I missed a step. When I first loaded the system
I have to select megaraid as the drive (using linux noprobe and manually
selecting the megaraid driver).

------------------------------------------------------------------------------

Script started on Thu 05 Jan 2006 05:29:10 PM ES
root@paradise:~[root@paradise ~]# 
root@paradise:~[root@paradise ~]# rm /etc/sysconfig/hwconf
rm: remove regular file `/etc/sysconfig/hwconf'? y
root@paradise:~[root@paradise ~]# rm /etc/modprobe.conf
rm: remove regular file `/etc/modprobe.conf'? y
root@paradise:~[root@paradise ~]# kudzu
root@paradise:~[root@paradise ~]# cd /boot
root@paradise boot]# mkinitrd -v -f initrd-2.6.14-1.1653_FC4.img 2.6.14-1.1653_FC
Creating initramfs
Looking for deps of module scsi_mod	
Looking for deps of module sd_mod	 scsi_mod
Looking for deps of module scsi_mod	
Looking for deps of module unknown	
Looking for deps of module megaraid_mbox	 scsi_mod megaraid_mm
Looking for deps of module scsi_mod	
Looking for deps of module megaraid_mm	
Looking for deps of module ide-disk	
Looking for deps of module ext3	 jbd
Looking for deps of module jbd	
Using modules:  ./kernel/drivers/scsi/scsi_mod.ko
./kernel/drivers/scsi/sd_mod.ko ./kernel/drivers/scsi/megaraid/megaraid_mm.ko
./kernel/drivers/scsi/megaraid/megaraid_mbox.ko ./kernel/fs/jbd/jbd.ko
./kernel/fs/ext3/ext3.ko
/sbin/nash -> /tmp/initrd.sN2999/bin/nash
/sbin/insmod.static -> /tmp/initrd.sN2999/bin/insmod
/sbin/udev.static -> /tmp/initrd.sN2999/sbin/udev
/sbin/udevstart.static -> /tmp/initrd.sN2999/sbin/udevstart
/etc/udev/udev.conf -> /tmp/initrd.sN2999/etc/udev/udev.conf
copy from
/lib/modules/2.6.14-1.1653_FC4/./kernel/drivers/scsi/scsi_mod.ko(elf32-i386) to
/tmp/initrd.sN2999/lib/scsi_mod.ko(elf32-i386)
copy from
/lib/modules/2.6.14-1.1653_FC4/./kernel/drivers/scsi/sd_mod.ko(elf32-i386) to
/tmp/initrd.sN2999/lib/sd_mod.ko(elf32-i386)
copy from
/lib/modules/2.6.14-1.1653_FC4/./kernel/drivers/scsi/megaraid/megaraid_mm.ko(elf32-i386)
to /tmp/initrd.sN2999/lib/megaraid_mm.ko(elf32-i386)
copy from
/lib/modules/2.6.14-1.1653_FC4/./kernel/drivers/scsi/megaraid/megaraid_mbox.ko(elf32-i386)
to /tmp/initrd.sN2999/lib/megaraid_mbox.ko(elf32-i386)
copy from /lib/modules/2.6.14-1.1653_FC4/./kernel/fs/jbd/jbd.ko(elf32-i386) to
/tmp/initrd.sN2999/lib/jbd.ko(elf32-i386)
copy from /lib/modules/2.6.14-1.1653_FC4/./kernel/fs/ext3/ext3.ko(elf32-i386) to
/tmp/initrd.sN2999/lib/ext3.ko(elf32-i386)
Loading module scsi_mod
Loading module sd_mod
Loading module megaraid_mm
Loading module megaraid_mbox
Loading module jbd
Loading module ext3
root@paradise boot]# cat /etc/modprobe.conf
alias eth0 e1000
alias scsi_hostadapter megaraid_mbox
alias usb-controller ohci-hcd
root@paradise boot]# cat /etc/sysconfig/hwconf
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Broadcom GCLE-2 Host Bridge"
vendorId: 1166
deviceId: 0227
subVendorId: 1166
subDeviceId: 0230
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  f
pcifn:  3
-
class: OTHER
bus: PCI
detached: 0
driver: i2c-piix4
desc: "Broadcom CSB6 South Bridge"
vendorId: 1166
deviceId: 0203
subVendorId: 1166
subDeviceId: 0201
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  f
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Broadcom GCNB-LE Host Bridge"
vendorId: 1166
deviceId: 0017
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  0
pcifn:  1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Broadcom GCNB-LE Host Bridge"
vendorId: 1166
deviceId: 0017
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  0
pcifn:  0
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "Linux 2.6.11-1.1369_FC4 ohci_hcd OHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.11-1.1369_FC4 ohci_hcd
usbprod: OHCI Host Controller
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: e1000
desc: "Intel Corporation 82540EM Gigabit Ethernet Controller"
network.hwaddr: XXXXXXXXXXXXXX
vendorId: 8086
deviceId: 100e
subVendorId: 1028
subDeviceId: 0134
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  2
pcifn:  0
-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: generic3ps/2
desc: "ImPS/2 Generic Wheel Mouse"
-
class: CDROM
bus: IDE
detached: 0
device: hde
driver: ignore
desc: "GCR-8481B"
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:ATI Rage XL
desc: "ATI Technologies Inc Rage XL"
vendorId: 1002
deviceId: 4752
subVendorId: 1028
subDeviceId: 0134
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  8
pcifn:  0
-
class: VIDEO
bus: DDC
detached: 0
driver: unknown
desc: "ATI Technologies Inc. MACH64GM"
mem: 8128
-
class: FLOPPY
bus: MISC
detached: 0
device: fd0
driver: unknown
desc: "3.5" 1.44MB floppy drive"
-
class: HD
bus: SCSI
detached: 0
device: sda
driver: ignore
desc: "Megaraid LD 0 RAID5  228G"
host: 0
id: 0
channel: 0
lun: 0
generic: sg0
-
class: RAID
bus: PCI
detached: 0
driver: megaraid_mbox
desc: "American Megatrends Inc. MegaRAID"
vendorId: 101e
deviceId: 1960
subVendorId: 1028
subDeviceId: 0511
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  7
pcifn:  0
-
class: KEYBOARD
bus: PSAUX
detached: 0
driver: ignore
desc: "AT Translated Set 2 keyboard"
-
class: MONITOR
bus: DDC
detached: 0
driver: unknown
desc: "Q71-8"
id: OQI1219
horizSyncMin: 30
horizSyncMax: 70
vertRefreshMin: 50
vertRefreshMax: 160
mode: 1024x768
mode: 1280x1024
mode: 800x600
mode: 640x480
-
class: USB
bus: PCI
detached: 0
driver: ohci-hcd
desc: "Broadcom CSB6 OHCI USB Controller"
vendorId: 1166
deviceId: 0221
subVendorId: 1166
subDeviceId: 0220
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  f
pcifn:  2
-
class: IDE
bus: PCI
detached: 0
driver: unknown
desc: "Broadcom CSB6 RAID/IDE Controller"
vendorId: 1166
deviceId: 0213
subVendorId: 1028
subDeviceId: 0134
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  f
pcifn:  1
-
class: IDE
bus: PCI
detached: 0
driver: unknown
desc: "Broadcom CSB6 IDE Controller"
vendorId: 1166
deviceId: 0217
subVendorId: 1028
subDeviceId: 0134
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  e
pcifn:  0
Script done on Thu 05 Jan 2006 05:31:40 PM ES
Comment 6 Dave Jones 2006-01-05 21:24:11 EST
what did the modprobe.conf look like after you did this ?
Comment 7 Tim E. 2006-01-05 21:42:41 EST
I am sorry. I forgot to say I listed/cat'ed out the modprobe.conf and the hwconf
in the script listing as I was running the commands during the script session.
From the above listing, the new modprobe.conf is:

root@paradise boot]# cat /etc/modprobe.conf
alias eth0 e1000
alias scsi_hostadapter megaraid_mbox
alias usb-controller ohci-hcd

The only diff from your suggestion is the eth0 was before the megaraid_mbox.
This is the modprobe.conf version created by running kudzu after I removed both
the modprobe.conf and hwconf file (see the command listing).

Tim
Comment 8 Tim E. 2006-01-05 21:44:52 EST
If you need more info/testing results please let me know.
Comment 9 Dave Jones 2006-01-12 18:28:40 EST
I'm at a loss. The initrd should be correct, as the modprobe.conf looks sane.

any chance you can hook up a serial console and dump the failure messages ?
Or failing that, boot with vga=791 and take a digital camera pic ?
Perhaps theres more clues there.
Comment 10 Tim E. 2006-01-17 22:17:07 EST
Heres the bootup screen (sorry for any typos):

Booting 'Fedora Core (2.6.14.1_1656_FC4)' root(0)
Filesystem types ext2fs, partition type 0x83
Kernel /vmlinux-2.6.14.1_1656-FC4 ro root=LASBEL=/ rhgb quiet
[Linux -bzImage, setup=0x1e00,size=078b66]
initrd /initrd_2.6.14.1_1656_FC4.img [Linux-initrd@0x1febc000,0x123b35 bytes]
Uncompressing Linux,,, ok, booting the kernel
Redhat nash version 4.2.15 starting
mkrootdev: label /1 not found
mount: error 3 mounting ext3
Error opening /dev/console!!!:2
Error dup2'ing fd of 0 to 0
Error dup2'ing fd of 0 to 1
Error dup2'ing fd of 0 to 2
Switch root: mount failed:22
Kernel Panic not syncing: Attempted to kill init!



Comment 11 Tim E. 2006-01-17 22:24:16 EST
Question: is it worth to boot/try the Fedora FC5 boot? I cant load FC5 right now
it since the system is currently a active server but I can give it a try (to the
bootup point at least) during a lunch. Also, where can I find a copy of the
2.6.12 kernel rpm for FC4? All the update sites only have the most current
version. I seem to remember that kernel might of worked (or Im confusing FC2).
Comment 12 Dave Jones 2006-02-03 00:40:44 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 Tim E. 2006-02-08 23:33:04 EST
I loaded the new kernel and got the same error. I have loaded the kernel with
option vga=791 as asked and am emailing a jpg of the boot screen.
Comment 14 Tim E. 2006-02-19 20:15:42 EST
Created attachment 124874 [details]
VGA=791 Pic of Bad Boot

VGA=791 Pic of Bad Boot
Comment 15 David Lawrence 2006-04-18 16:38:31 EDT
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.
Comment 16 Will Hargrave 2006-07-23 10:47:45 EDT
Created attachment 132883 [details]
Patch against legacy megaraid driver for CERC ATA/100 support

From http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=369378
Comment 17 Will Hargrave 2006-07-23 10:50:42 EDT
Problem appears to be the same as this:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=369378

I've used the supplied patch against a vanilla upstream 2.6.17.6 kernel on a
PE650 with a CERC/ATA100, which works (opposed to unpatched which fails with
same issues above).
Comment 18 Dave Jones 2006-09-16 22:23:33 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 19 Dave Jones 2006-10-16 14:33:41 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 20 Jon Stanley 2008-01-19 23:40:04 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.